[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# TryEncodeTimeInterval

Try to encode an interval as a TDateTime value.

## Declaration

Source position: dateutil.inc line 351

`function TryEncodeTimeInterval(`
`Hour: Word;`
`Min: Word;`
`Sec: Word;`
`MSec: Word;`
`out Time: TDateTime`
`):Boolean;`

## Description

TryEncodeTimeInterval encodes a time interval expressed in Hour, Min, Sec, MSec as a TDateTime value and returns the value in Time. It returns True if Min, Sec, MSec contain valid time values (i.e. less than 60, 60 resp. MSec). The number of hours may be larger than 24.

## See also

EncodeTimeInterval |  | Encode an interval as a TDateTime value.